# Uses of Class
org.apache.sysds.resource.enumeration.EnumerationUtils.ConfigurationPoint

Packages that use EnumerationUtils.ConfigurationPoint
Package
Description
org.apache.sysds.resource
org.apache.sysds.resource.enumeration

## Uses of EnumerationUtils.ConfigurationPoint in org.apache.sysds.resource

Methods in org.apache.sysds.resource with parameters of type EnumerationUtils.ConfigurationPoint
Modifier and Type
Method
Description
`static double`
CloudUtils.`calculateClusterPrice(EnumerationUtils.ConfigurationPoint config, double time, CloudUtils.CloudProvider provider)`
This method calculates the cluster price based on the estimated execution time and the cluster configuration.
`static void`
CloudUtils.`generateEMRConfigurationsJson(EnumerationUtils.ConfigurationPoint clusterConfig, String filePath)`
Generate json file with configurations attribute for launching AWS EMR cluster with Spark
`static void`
CloudUtils.`generateEMRInstanceGroupsJson(EnumerationUtils.ConfigurationPoint clusterConfig, String filePath)`
Generates json file with instance groups argument for launching AWS EMR cluster

## Uses of EnumerationUtils.ConfigurationPoint in org.apache.sysds.resource.enumeration

Subclasses of EnumerationUtils.ConfigurationPoint in org.apache.sysds.resource.enumeration
Modifier and Type
Class
Description
`static class`
`EnumerationUtils.SolutionPoint`
Data structure to hold all data related to cost estimation
Methods in org.apache.sysds.resource.enumeration with parameters of type EnumerationUtils.ConfigurationPoint
Modifier and Type
Method
Description
`void`
EnumerationUtils.SolutionPoint.`update(EnumerationUtils.ConfigurationPoint point, double timeCost, double monetaryCost)`
`void`
Enumerator.`updateOptimalSolution(double newTimeEstimate, double newMonetaryEstimate, EnumerationUtils.ConfigurationPoint newPoint)`
Invokes the estimation of the time and monetary cost based on the compiled program and the given cluster configurations.
Constructors in org.apache.sysds.resource.enumeration with parameters of type EnumerationUtils.ConfigurationPoint
Modifier
Constructor
Description
``
`SolutionPoint(EnumerationUtils.ConfigurationPoint inputPoint, double timeCost, double monetaryCost)`